#!/bin/bash

move_connectors() {
    local old_dir="/opt/cyops-integrations/integrations/connectors/"
    local new_dir="/opt/cyops/configs/integrations/connectors/"
    local old_dir_connectors=$(find $old_dir -maxdepth 1 -type d | grep -E "[0-9]+_[0-9]+_[0-9]+$")
    for old_dir_connector in $old_dir_connectors; do
        mv $old_dir_connector $new_dir
    done
    local old_links=$(find $old_dir -maxdepth 1 -type l)
    for old_link in $old_links; do
        local source_dir_full_path=$(readlink "$old_link")
        local link_name=$(basename "$old_link")
        local source_dir_name=$(basename "$source_dir_full_path")
        ln -sf "$new_dir/$source_dir_name" "$old_dir/$link_name"
    done
}

move_workspace() {
    local old_workspace="/opt/cyops-integrations/integrations/workspace"
    local new_workspace="/opt/cyops/configs/integrations/workspace"
    if [ ! -d $old_workspace ] || [[ -z $(ls -A $old_workspace) ]]; then
        return
    fi
    local file
    for file in $(ls -A $old_workspace); do
        mv $old_workspace/$file $new_workspace/
    done
}

############
# Main/main/MAIN starts here
#########

#
# move_connectors can be removed once 7.2.2 becomes base release for upgrade.
# Even if we don't remove, no issues, as code is idempotent.
#
move_connectors
#
# move_workspace can be removed once 7.2.2 becomes base release for upgrade.
# Even if we don't remove, no issues, as code is idempotent.
#
move_workspace
exit 0
